Package org.h2gis.functions.spatial.volume

## Class GeometryExtrude

- java.lang.Object
- - org.h2gis.functions.spatial.volume.GeometryExtrude

    public class GeometryExtrude
    extends Object

This class is used to extrude a polygon or a linestring to a set of walls, roof, or floor using a height.

Author:
  Erwan Bocher

### Nested Class Summary

Nested Classes
`static class` `GeometryExtrude.UpdateZValue` Update the z value.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `extractRoof​(org.locationtech.jts.geom.LineString lineString, double height)` Extract the linestring "roof".
`static org.locationtech.jts.geom.Polygon` `extractRoof​(org.locationtech.jts.geom.Polygon polygon, double height)` Extract the roof of a polygon
`static org.locationtech.jts.geom.MultiPolygon` `extractWalls​(org.locationtech.jts.geom.LineString lineString, double height)` Extrude the LineString as a set of walls.
`static org.locationtech.jts.geom.MultiPolygon` `extractWalls​(org.locationtech.jts.geom.Polygon polygon, double height)` Extract the walls from a polygon
`static org.locationtech.jts.geom.GeometryCollection` `extrudeLineStringAsGeometry​(org.locationtech.jts.geom.LineString lineString, double height)` Extrude the linestring as a collection of geometries The output geometryCollection contains the floor, the walls and the roof.
`static org.locationtech.jts.geom.GeometryCollection` `extrudePolygonAsGeometry​(org.locationtech.jts.geom.Polygon polygon, double height)` Extrude the polygon as a collection of geometries The output geometryCollection contains the floor, the walls and the roof.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### extrudePolygonAsGeometry

    public static org.locationtech.jts.geom.GeometryCollection extrudePolygonAsGeometry​(org.locationtech.jts.geom.Polygon polygon,
                                                                                        double height)

Extrude the polygon as a collection of geometries The output geometryCollection contains the floor, the walls and the roof.

Parameters:
  `polygon` -
  `height` -
Returns:

#### extrudeLineStringAsGeometry

    public static org.locationtech.jts.geom.GeometryCollection extrudeLineStringAsGeometry​(org.locationtech.jts.geom.LineString lineString,
                                                                                           double height)

Extrude the linestring as a collection of geometries The output geometryCollection contains the floor, the walls and the roof.

Parameters:
  `lineString` -
  `height` -
Returns:

#### extractRoof

    public static org.locationtech.jts.geom.Geometry extractRoof​(org.locationtech.jts.geom.LineString lineString,
                                                                 double height)

Extract the linestring "roof".

Parameters:
  `lineString` -
  `height` -
Returns:

#### extractWalls

    public static org.locationtech.jts.geom.MultiPolygon extractWalls​(org.locationtech.jts.geom.Polygon polygon,
                                                                      double height)

Extract the walls from a polygon

Parameters:
  `polygon` -
  `height` -
Returns:

#### extractRoof

    public static org.locationtech.jts.geom.Polygon extractRoof​(org.locationtech.jts.geom.Polygon polygon,
                                                                double height)

Extract the roof of a polygon

Parameters:
  `polygon` -
  `height` -
Returns:

#### extractWalls

    public static org.locationtech.jts.geom.MultiPolygon extractWalls​(org.locationtech.jts.geom.LineString lineString,
                                                                      double height)

Extrude the LineString as a set of walls.

Parameters:
  `lineString` -
  `height` -
Returns: